package cn.gygxzc.envir

import org.mybatis.spring.annotation.MapperScan
import org.springframework.boot.SpringApplication
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.builder.SpringApplicationBuilder
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer
import org.springframework.cloud.netflix.eureka.server.EnableEurekaServer

/**
 * 注解配置
 */
@EnableEurekaServer
@SpringBootApplication(scanBasePackages = ["com.gxzc", "cn.gygxzc"])
@MapperScan(basePackages = ["com.gxzc", "cn.gygxzc"])
class MainApplication : SpringBootServletInitializer() {
    override fun configure(builder: SpringApplicationBuilder?): SpringApplicationBuilder? {
        return builder?.sources(MainApplication::class.java)
    }
}

fun main(args: Array<String>) {
    SpringApplication.run(MainApplication::class.java, *args)
}